# Authority: dag
# Upstream: Dag Wieers <dag@wieers.com>

Summary: Versatile resource statistics tool
Name: dstat
Version: 0.6.6
Release: 5%{?dist}
License: GPL
Group: System Environment/Base
URL: http://dag.wieers.com/home-made/dstat/

Source: http://dag.wieers.com/home-made/dstat/dstat-%{version}.tar.bz2
Patch1: dstat-0.6.6-manfix.patch
Patch2: dstat-0.6.6-nocolor.patch
Patch3: dstat-0.6.6-raw.patch
Patch4: dstat-0.6.6-path.patch
Patch5: dstat-0.6.6-ZeroDivision.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root%(%{__id_u} -n)

BuildArch: noarch
#Requires: python # Picked up automatically

%description
Dstat is a versatile replacement for vmstat, iostat, netstat and ifstat.
Dstat overcomes some of their limitations and adds some extra features,
more counters and flexibility. Dstat is handy for monitoring systems
during performance tuning tests, benchmarks or troubleshooting.

Dstat allows you to view all of your system resources instantly, you
can eg. compare disk usage in combination with interrupts from your
IDE controller, or compare the network bandwidth numbers directly
with the disk throughput (in the same interval).

Dstat gives you detailed selective information in columns and clearly
indicates in what magnitude and unit the output is displayed. Less
confusion, less mistakes.

%prep

%setup -q
%patch1 -p1 -b .manfix
%patch2 -p1 -b .nocolor
%patch3 -p1 -b .raw
%patch4 -p1 -b .path
%patch5 -p1 -b .ZeroDivision

#Change shebang /usr/bin/env python -> /usr/bin/python (#521340)
sed -i.env-python -e 's,^#!/usr/bin/env python,#!/usr/bin/python,' dstat

%build

# Plugins .py files are modules, not executable python
%{__chmod} a-x plugins/*.py
%{__chmod} a-x examples/*
# Make sure the docs are in unix format
%{__sed} -i 's/\r//' docs/*.html
# Remove the broken symlink
%{__rm} -rf examples/dstat.py

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
# Install the docs
cd docs
%{__make} install DESTDIR=%{buildroot}

/usr/lib/rpm/brp-python-bytecompile # FC4 and FC5 run this automatically

%{__chmod} a-x %{buildroot}/%{_datadir}/dstat/*.py
%{__chmod} a+x %{buildroot}/%{_datadir}/dstat/dstat.py

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)

%ghost  %{_datadir}/dstat/*.pyo
%dir %{_datadir}/dstat

%doc AUTHORS ChangeLog COPYING README TODO *.conf docs/*.html docs/*.txt examples/

%{_mandir}/man1/dstat.1*
%{_bindir}/dstat
%{_datadir}/dstat/*.py
%{_datadir}/dstat/*.pyc

%changelog
* Tue Aug 16 2011 Jiri Popelka <jpopelka@redhat.com> - 0.6.6-5
- Fixed ZeroDivisionError (#709459)
- Changed shebang /usr/bin/env python -> /usr/bin/python (#521340)

* Thu Nov 19 2009 Jan Zeleny <jzeleny@redhat.com> - 0.6.6-4
- removed . and ./plugins from module searching path (#538470)

* Thu Jan 17 2008 Radek Brich <rbrich@redhat.com> - 0.6.6-3
- Fix --nocolor and --raw (upstream patches)

* Thu Jan 17 2008 Radek Brich <rbrich@redhat.com> - 0.6.6-2
- Fix errors in man page

* Tue May 01 2007 Scott Baker <scott@perturb.org> - 0.6.6-1
- Bumped to latest release

* Wed Apr 18 2007 Scott Baker <scott@perturb.org> - 0.6.5-1
- Bumped to latest release

* Tue Dec 12 2006 Scott Baker <scott@perturb.org> - 0.6.4-1
- Bumped to 0.6.4

* Fri Aug 11 2006 Scott Baker <scott@perturb.org> - 0.6.3-5
- Removed the execute permission from the examples directory
- Fixed the changelog to remove the replaceable %%clean

* Tue Jul 25 2006 Scott Baker <scott@perturb.org> - 0.6.3-4
- Removed some commeted lines in the .spec file that weren't needed
- Changed the permissions on the examples/* scripts
- Converted the HTML documentation to unix line endings
- Removed the erroneous commenting of the %%clean section of the .spec

* Fri Jul 21 2006 Scott Baker <scott@perturb.org> - 0.6.3-3
- Packaged for Fedora Extras.

* Mon Jun 26 2006 Dag Wieers <dag@wieers.com> - 0.6.3-1 - 4303+/dries
- Updated to release 0.6.3.

* Thu Mar 09 2006 Dag Wieers <dag@wieers.com> - 0.6.2-1
- Updated to release 0.6.2.

* Mon Sep 05 2005 Dag Wieers <dag@wieers.com> - 0.6.1-1
- Updated to release 0.6.1.

* Sun May 29 2005 Dag Wieers <dag@wieers.com> - 0.6.0-1
- Updated to release 0.6.0.

* Fri Apr 08 2005 Dag Wieers <dag@wieers.com> - 0.5.10-1
- Updated to release 0.5.10.

* Mon Mar 28 2005 Dag Wieers <dag@wieers.com> - 0.5.9-1
- Updated to release 0.5.9.

* Tue Mar 15 2005 Dag Wieers <dag@wieers.com> - 0.5.8-1
- Updated to release 0.5.8.

* Fri Dec 31 2004 Dag Wieers <dag@wieers.com> - 0.5.7-1
- Updated to release 0.5.7.

* Mon Dec 20 2004 Dag Wieers <dag@wieers.com> - 0.5.6-1
- Updated to release 0.5.6.

* Thu Dec 02 2004 Dag Wieers <dag@wieers.com> - 0.5.5-1
- Updated to release 0.5.5.

* Thu Nov 25 2004 Dag Wieers <dag@wieers.com> - 0.5.4-1
- Updated to release 0.5.4.
- Use dstat15 if distribution uses python 1.5.

* Sun Nov 21 2004 Dag Wieers <dag@wieers.com> - 0.5.3-1
- Updated to release 0.5.3.

* Sat Nov 13 2004 Dag Wieers <dag@wieers.com> - 0.5.2-1
- Updated to release 0.5.2.

* Thu Nov 11 2004 Dag Wieers <dag@wieers.com> - 0.5.1-1
- Updated to release 0.5.1.

* Tue Oct 26 2004 Dag Wieers <dag@wieers.com> - 0.4-1
- Initial package. (using DAR)
